diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
index 7ea2d6fb86988b7461485a8017e406679a5493ba..8fde4cbc2e323a010fc0027932c5f9e0c24207ad 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
@@ -200,7 +200,7 @@ public class CertificatePoliciesExt extends APolicyRule
             } else {
                 // remove any previously computed version of the extension
                 try {
-                    extensions.delete(CertificatePoliciesExtension.NAME);
+                    extensions.delete(CertificatePoliciesExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // this is the hack: for some reason, the key which is the name
                     // of the policy has been converted into the OID 
@@ -210,7 +210,7 @@ public class CertificatePoliciesExt extends APolicyRule
                     }
                 }
             }
-            extensions.set(CertificatePoliciesExtension.NAME,
+            extensions.set(CertificatePoliciesExtension.class.getSimpleName(),
                     mCertificatePoliciesExtension);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("POLICY_ERROR_CERTIFICATE_POLICIES_1",
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
index 28366ade84ae2a8fff6d986e29971ae75db0d4ba..357f8595b602efaa1b77034adb1d2739f959b6c5 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
@@ -135,7 +135,7 @@ public class CertificateRenewalWindowExt extends APolicyRule
         } else {
             // remove any previously computed version of the extension
             try {
-                extensions.delete(CertificateRenewalWindowExtension.NAME);
+                extensions.delete(CertificateRenewalWindowExtension.class.getSimpleName());
 
             } catch (IOException e) {
                 // this is the hack: for some reason, the key which is the name
@@ -162,7 +162,7 @@ public class CertificateRenewalWindowExt extends APolicyRule
                             getDateValue(now, mBeginTime),
                             getDateValue(now, mEndTime));
             }
-            extensions.set(CertificateRenewalWindowExtension.NAME,
+            extensions.set(CertificateRenewalWindowExtension.class.getSimpleName(),
                     crwExt);
         } catch (Exception e) {
             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
index 65ef6b937817e6b43c6d5dfd58f80cf0904a01ca..f031428518b055abd9eb09403d43152c59431eac 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
@@ -130,13 +130,13 @@ public class ExtendedKeyUsageExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             } else {
                 try {
-                    extensions.delete(ExtendedKeyUsageExtension.NAME);
+                    extensions.delete(ExtendedKeyUsageExtension.class.getSimpleName());
                 } catch (IOException ex) {
                     // ExtendedKeyUsage extension is not already there
                 }
             }
 
-            extensions.set(ExtendedKeyUsageExtension.NAME, mExtendedKeyUsage);
+            extensions.set(ExtendedKeyUsageExtension.class.getSimpleName(), mExtendedKeyUsage);
 
             return PolicyResult.ACCEPTED;
         } catch (IOException e) {
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
index 21afaa18858138478a473abcae071166c7ee41e1..4124b7be791cac157ecc9ce0cb8ff76990b8c634 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
@@ -198,7 +198,7 @@ public class IssuerAltNameExt extends APolicyRule
 
             // remove any previously computed version of the extension
             try {
-                extensions.delete(IssuerAlternativeNameExtension.NAME);
+                extensions.delete(IssuerAlternativeNameExtension.class.getSimpleName());
 
             } catch (IOException e) {
                 // this is the hack
@@ -212,7 +212,7 @@ public class IssuerAltNameExt extends APolicyRule
         }
 
         try {
-            extensions.set(IssuerAlternativeNameExtension.NAME, mExtension);
+            extensions.set(IssuerAlternativeNameExtension.class.getSimpleName(), mExtension);
         } catch (Exception e) {
             if (e instanceof RuntimeException)
                 throw (RuntimeException) e;
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
index 037206b89e3b6e84ab0151effc33b222fe80f2b4..8d04b69d6c59a0f3710027098a31e948cec760e1 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
@@ -187,7 +187,7 @@ public class KeyUsageExt extends APolicyRule
             if (extensions != null) {
                 try {
                     ext = (KeyUsageExtension)
-                            extensions.get(KeyUsageExtension.NAME);
+                            extensions.get(KeyUsageExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // extension isn't there.
                     ext = null;
@@ -262,7 +262,7 @@ public class KeyUsageExt extends APolicyRule
                 mKeyUsage = new KeyUsageExtension(mCritical, bits);
             } catch (IOException e) {
             }
-            extensions.set(KeyUsageExtension.NAME, mKeyUsage);
+            extensions.set(KeyUsageExtension.class.getSimpleName(), mKeyUsage);
             return PolicyResult.ACCEPTED;
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("BASE_IO_ERROR", e.getMessage()));
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
index f3ae4efa4d5472c3559f0045ec00a2284b7652b6..3619985660d12b9f61282f8bdf74c8be9e02fa16 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
@@ -196,7 +196,7 @@ public class NSCCommentExt extends APolicyRule
         } else {
             // remove any previously computed version of the extension
             try {
-                extensions.delete(NSCCommentExtension.NAME);
+                extensions.delete(NSCCommentExtension.class.getSimpleName());
 
             } catch (IOException e) {
                 // this is the hack: for some reason, the key which is the name
@@ -240,7 +240,7 @@ public class NSCCommentExt extends APolicyRule
             NSCCommentExtension cpExt =
                     new NSCCommentExtension(mCritical, mUserNoticeDisplayText);
 
-            extensions.set(NSCCommentExtension.NAME, cpExt);
+            extensions.set(NSCCommentExtension.class.getSimpleName(), cpExt);
         } catch (Exception e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("POLICY_ERROR_CERTIFICATE_POLICIES_1", NAME));
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
index 8903535dd2700249093d02e6ac4bee96665cf8b5..a0db6c04946c12db9f1e21152929d23c5cfcb487 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
@@ -192,7 +192,7 @@ public class NSCertTypeExt extends APolicyRule
                 // See if extension is already set and contains correct values.
                 try {
                     nsCertTypeExt = (NSCertTypeExtension)
-                            extensions.get(NSCertTypeExtension.NAME);
+                            extensions.get(NSCertTypeExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // extension isn't there.
                     nsCertTypeExt = null;
@@ -208,7 +208,7 @@ public class NSCertTypeExt extends APolicyRule
                         (certType.equals("ocspResponder"))) {
                     // Fix for #528732 : Always delete
                     // this extension from OCSP signing cert
-                    extensions.delete(NSCertTypeExtension.NAME);
+                    extensions.delete(NSCertTypeExtension.class.getSimpleName());
                     return PolicyResult.ACCEPTED;
                 }
             } else {
@@ -241,7 +241,7 @@ public class NSCertTypeExt extends APolicyRule
             if (nsCertTypeExt != null) {
                 // replace with correct bits to comply to policy.
                 // take all that are true.
-                extensions.delete(NSCertTypeExtension.NAME);
+                extensions.delete(NSCertTypeExtension.class.getSimpleName());
             }
 
             int j;
@@ -259,7 +259,7 @@ public class NSCertTypeExt extends APolicyRule
             }
 
             nsCertTypeExt = new NSCertTypeExtension(mCritical, bits);
-            extensions.set(NSCertTypeExtension.NAME, nsCertTypeExt);
+            extensions.set(NSCertTypeExtension.class.getSimpleName(), nsCertTypeExt);
             return PolicyResult.ACCEPTED;
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("BASE_IO_ERROR", e.getMessage()));
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
index f010bf3f1c5fe02206c6227346f3a7b06113d991..d0db570840022c5ada696c4a4d96fcc384ae59c3 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
@@ -272,7 +272,7 @@ public class NameConstraintsExt extends APolicyRule
             try {
                 if (extensions != null) {
                     nameConstraintsExt = (NameConstraintsExtension)
-                            extensions.get(NameConstraintsExtension.NAME);
+                            extensions.get(NameConstraintsExtension.class.getSimpleName());
                 }
             } catch (IOException e) {
                 // extension isn't there. 
@@ -288,7 +288,7 @@ public class NameConstraintsExt extends APolicyRule
                     CMS.debug(
                             "NameConstraintsExt: request id " + req.getRequestId() + " from user " +
                                     " already has name constraints - deleted");
-                    extensions.delete(NameConstraintsExtension.NAME);
+                    extensions.delete(NameConstraintsExtension.class.getSimpleName());
                 }
             }
 
@@ -299,7 +299,7 @@ public class NameConstraintsExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             }
             extensions.set(
-                    NameConstraintsExtension.NAME, mNameConstraintsExtension);
+                    NameConstraintsExtension.class.getSimpleName(), mNameConstraintsExtension);
             CMS.debug(
                     "NameConstraintsExt: added Name Constraints Extension to request " +
                             req.getRequestId());
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
index 33f2f85e04aa84a2ff3862876c7ff8b31d1d0a51..6056eb1b54b318e8c1071d924c8f024a541189fd 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
@@ -142,14 +142,14 @@ public class OCSPNoCheckExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             } else {
                 try {
-                    extensions.delete(OCSPNoCheckExtension.NAME);
+                    extensions.delete(OCSPNoCheckExtension.class.getSimpleName());
                 } catch (IOException ex) {
                     // OCSPNoCheck extension is not already there
                     //  log(ILogger.LL_FAILURE, "No previous extension: "+OCSPNoCheckExtension.NAME+" "+ex.getMessage());
                 }
             }
 
-            extensions.set(OCSPNoCheckExtension.NAME, mOCSPNoCheck);
+            extensions.set(OCSPNoCheckExtension.class.getSimpleName(), mOCSPNoCheck);
 
             return PolicyResult.ACCEPTED;
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
index 861107b8e9ec8e4aca22f8e208ed5f3ceb9b9e55..b7966330ade22c7ff0e056c898609b53fb62711a 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
@@ -207,7 +207,7 @@ public class PolicyConstraintsExt extends APolicyRule
             try {
                 if (extensions != null) {
                     policyConstraintsExt = (PolicyConstraintsExtension)
-                            extensions.get(PolicyConstraintsExtension.NAME);
+                            extensions.get(PolicyConstraintsExtension.class.getSimpleName());
                 }
             } catch (IOException e) {
                 // extension isn't there. 
@@ -217,7 +217,7 @@ public class PolicyConstraintsExt extends APolicyRule
                 if (agentApproved(req)) {
                     return PolicyResult.ACCEPTED;
                 } else {
-                    extensions.delete(PolicyConstraintsExtension.NAME);
+                    extensions.delete(PolicyConstraintsExtension.class.getSimpleName());
                 }
             }
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
index 7623f455f414289c5428a2301a3a880f7b98bbaa..21f19b455210f6c6b2e388446c2f19bf80ede0f7 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
@@ -218,7 +218,7 @@ public class PolicyMappingsExt extends APolicyRule
             try {
                 if (extensions != null) {
                     policyMappingsExt = (PolicyMappingsExtension)
-                            extensions.get(PolicyMappingsExtension.NAME);
+                            extensions.get(PolicyMappingsExtension.class.getSimpleName());
                 }
             } catch (IOException e) {
                 // extension isn't there. 
@@ -228,7 +228,7 @@ public class PolicyMappingsExt extends APolicyRule
                 if (agentApproved(req)) {
                     return PolicyResult.ACCEPTED;
                 } else {
-                    extensions.delete(PolicyMappingsExtension.NAME);
+                    extensions.delete(PolicyMappingsExtension.class.getSimpleName());
                 }
             }
 
@@ -239,7 +239,7 @@ public class PolicyMappingsExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             }
             extensions.set(
-                    PolicyMappingsExtension.NAME, mPolicyMappingsExtension);
+                    PolicyMappingsExtension.class.getSimpleName(), mPolicyMappingsExtension);
             return PolicyResult.ACCEPTED;
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
index 52c8f1f6965aff1da79ce585aace1b2b5c9d97a1..60c0dfbc2a5cd57c4447900afa7c2bc032ec3534 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
@@ -199,7 +199,7 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
         } else {
             // remove any previously computed version of the extension
             try {
-                extensions.delete(PrivateKeyUsageExtension.NAME);
+                extensions.delete(PrivateKeyUsageExtension.class.getSimpleName());
 
             } catch (IOException e) {
             }
@@ -212,7 +212,7 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
                         formatter.parse(mNotAfter));
             certInfo.set(X509CertInfo.VERSION,
                     new CertificateVersion(CertificateVersion.V3));
-            extensions.set(PrivateKeyUsageExtension.NAME, ext);
+            extensions.set(PrivateKeyUsageExtension.class.getSimpleName(), ext);
         } catch (Exception e) {
             if (e instanceof RuntimeException)
                 throw (RuntimeException) e;
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
index 0af977a2430cda8e72d8bbfeabb85b86b94131b0..fd87c0eb95a2e3d7100357f4b8925545dc59a59f 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
@@ -94,7 +94,7 @@ public class RemoveBasicConstraintsExt extends APolicyRule
                     certInfo.get(X509CertInfo.EXTENSIONS);
             if (extensions != null) {
                 try {
-                    extensions.delete(BasicConstraintsExtension.NAME);
+                    extensions.delete(BasicConstraintsExtension.class.getSimpleName());
                     CMS.debug("PolicyRule RemoveBasicConstraintsExt: removed the extension from request "
                             + req.getRequestId().toString());
                 } catch (IOException e) {
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
index 63bd8804cd27a10e1e3ce6f1641da1893307cef2..f45107ed41c9046b4d529da0519e89a64666f9d3 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
@@ -179,7 +179,7 @@ public class SubjAltNameExt extends APolicyRule
                 // Remove any previously computed version of the extension
                 //
                 try {
-                    extensions.delete(SubjectAlternativeNameExtension.NAME);
+                    extensions.delete(SubjectAlternativeNameExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // extension isn't there
                 }
@@ -219,7 +219,7 @@ public class SubjAltNameExt extends APolicyRule
             if (extensions == null)
                 extensions = createCertificateExtensions(certInfo);
 
-            extensions.set(SubjectAlternativeNameExtension.NAME,
+            extensions.set(SubjectAlternativeNameExtension.class.getSimpleName(),
                     subjAltNameExt);
 
         } catch (IOException e) {
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
index 62f0b21da3186a6d845bb396065a6c296bdf1afe..31cc73f16e421006662ca798b1bccfd9311135fd 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
@@ -195,7 +195,7 @@ public class SubjectAltNameExt extends APolicyRule
                 if (sourceId != null && sourceId.length() > 0)
                     return res; // accepted
                 try {
-                    extensions.delete(SubjectAlternativeNameExtension.NAME);
+                    extensions.delete(SubjectAlternativeNameExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // extension isn't there
                 }
@@ -239,7 +239,7 @@ public class SubjectAltNameExt extends APolicyRule
             if (extensions == null)
                 extensions = createCertificateExtensions(certInfo);
 
-            extensions.set(SubjectAlternativeNameExtension.NAME, sa);
+            extensions.set(SubjectAlternativeNameExtension.class.getSimpleName(), sa);
 
             return res; // accepted.
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
index 6c1c6a4e819bb8c1b171daca805b66185747c746..2344ccfd8006efe4264d08fef80f91e1720009ab 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
@@ -156,7 +156,7 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             } else {
                 try {
-                    extensions.delete(SubjectDirAttributesExtension.NAME);
+                    extensions.delete(SubjectDirAttributesExtension.class.getSimpleName());
                 } catch (IOException ee) {
                     // if name is not found, try deleting the extension using the OID
                     try {
@@ -168,12 +168,12 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
 
             // form extension and set.
             if (mExt != null) {
-                extensions.set(SubjectDirAttributesExtension.NAME, mExt);
+                extensions.set(SubjectDirAttributesExtension.class.getSimpleName(), mExt);
             } else {
                 SubjectDirAttributesExtension ext = formExt(req);
 
                 if (ext != null)
-                    extensions.set(SubjectDirAttributesExtension.NAME, formExt(req));
+                    extensions.set(SubjectDirAttributesExtension.class.getSimpleName(), formExt(req));
             }
             return PolicyResult.ACCEPTED;
         } catch (CertificateException e) {
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
index 32d254c40dca8443f7ac798eeaf7f98de378ba60..bcf6544f0d368fc45b04ee8524041d79cfd5cbf1 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
@@ -191,7 +191,7 @@ public class SubjectKeyIdentifierExt extends APolicyRule
             try {
                 if (extensions != null) {
                     subjectKeyIdExt = (SubjectKeyIdentifierExtension)
-                            extensions.get(SubjectKeyIdentifierExtension.NAME);
+                            extensions.get(SubjectKeyIdentifierExtension.class.getSimpleName());
                 }
             } catch (IOException e) {
                 // extension isn't there. 
@@ -207,7 +207,7 @@ public class SubjectKeyIdentifierExt extends APolicyRule
                     CMS.debug(
                             "SubjectKeyIdentifierExt: request id from user " + req.getRequestId() +
                                     " had subject key identifier - deleted to be replaced");
-                    extensions.delete(SubjectKeyIdentifierExtension.NAME);
+                    extensions.delete(SubjectKeyIdentifierExtension.class.getSimpleName());
                 }
             }
 
@@ -232,7 +232,7 @@ public class SubjectKeyIdentifierExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             }
             extensions.set(
-                    SubjectKeyIdentifierExtension.NAME, subjectKeyIdExt);
+                    SubjectKeyIdentifierExtension.class.getSimpleName(), subjectKeyIdExt);
             CMS.debug(
                     "SubjectKeyIdentifierExt: added subject key id ext to request " + req.getRequestId());
             return PolicyResult.ACCEPTED;
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueSubjectNameConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueSubjectNameConstraint.java
index 7a985b631f2142d76f715cc2ed391853cbb3f914..04429cc7fc08ce0a0cfb675078e27f38ef2313c5 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueSubjectNameConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueSubjectNameConstraint.java
@@ -110,7 +110,7 @@ public class UniqueSubjectNameConstraint extends EnrollConstraint {
         } else {
             try {
                 ext = (KeyUsageExtension) extensions.get(
-                        KeyUsageExtension.NAME);
+                        KeyUsageExtension.class.getSimpleName());
             } catch (IOException e) {
                 // extension isn't there.
             }
diff --git a/pki/base/common/src/com/netscape/cms/publish/mappers/AVAPattern.java b/pki/base/common/src/com/netscape/cms/publish/mappers/AVAPattern.java
index 7f70722d0506c39d3169f198843acb3fab4ab371..754386d30abbf869f9395d9d439602f4c569995b 100644
--- a/pki/base/common/src/com/netscape/cms/publish/mappers/AVAPattern.java
+++ b/pki/base/common/src/com/netscape/cms/publish/mappers/AVAPattern.java
@@ -448,7 +448,7 @@ class AVAPattern {
                         // For now, just give subjectAltName
                         // as an example.
                         if (mValue.equalsIgnoreCase(
-                                SubjectAlternativeNameExtension.NAME)) {
+                                SubjectAlternativeNameExtension.class.getSimpleName())) {
                             try {
                                 GeneralNames subjectNames = (GeneralNames)
                                         ((SubjectAlternativeNameExtension)
diff --git a/pki/base/common/src/com/netscape/cms/publish/mappers/MapAVAPattern.java b/pki/base/common/src/com/netscape/cms/publish/mappers/MapAVAPattern.java
index 7aeb672d038c0b33c67122a00cc262e6626d5b3c..26dc46f4f11ee7ae3b6dd00ce5d816eb74711f96 100644
--- a/pki/base/common/src/com/netscape/cms/publish/mappers/MapAVAPattern.java
+++ b/pki/base/common/src/com/netscape/cms/publish/mappers/MapAVAPattern.java
@@ -532,7 +532,7 @@ class MapAVAPattern {
                     if (extName.equals(mValue)) {
                         // Check the extensions one by one.
                         // For now, just give subjectAltName as an example.
-                        if (mValue.equalsIgnoreCase(SubjectAlternativeNameExtension.NAME)) {
+                        if (mValue.equalsIgnoreCase(SubjectAlternativeNameExtension.class.getSimpleName())) {
                             try {
                                 GeneralNames subjectNames =
                                         (GeneralNames)
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java
index d5cbfb323ee1decf1a77ee170c35c8f9451b1a74..184febf16910fc53e96e3c5189fdb43bc8270a2c 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java
@@ -284,7 +284,7 @@ public class LdapEncryptCertPublisher implements ILdapPublisher, IExtendedPlugin
         CRLExtensions crlentryexts = new CRLExtensions();
 
         try {
-            crlentryexts.set(CRLReasonExtension.NAME, reasonExt);
+            crlentryexts.set(CRLReasonExtension.class.getSimpleName(), reasonExt);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("PUBLISH_SET_CRL_REASON", reason.toString(), e.toString()));
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
index 41f0c248f8a1f16e6b322254bc9486606f2aabe9..6d5904857afdae2f269cc346a4148a55ee17c8ca 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
@@ -1744,7 +1744,7 @@ public final class CMSAdminServlet extends AdminServlet {
                     if (extensions != null) {
                         BasicConstraintsExtension basic =
                                 (BasicConstraintsExtension)
-                                extensions.get(BasicConstraintsExtension.NAME);
+                                extensions.get(BasicConstraintsExtension.class.getSimpleName());
 
                         if (basic == null)
                             log(CMS.getLogMessage("ADMIN_SRVLT_BASIC_CONSTRAIN_NULL"));
@@ -2156,7 +2156,7 @@ public final class CMSAdminServlet extends AdminServlet {
                     if (extensions != null) {
                         BasicConstraintsExtension basic =
                                 (BasicConstraintsExtension)
-                                extensions.get(BasicConstraintsExtension.NAME);
+                                extensions.get(BasicConstraintsExtension.class.getSimpleName());
 
                         if (basic == null)
                             log(CMS.getLogMessage("ADMIN_SRVLT_BASIC_CONSTRAIN_NULL"));
diff --git a/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java b/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
index e292e501a460a14ea60104579a4c811f3388c3fe..d45535fd5dd8c07b36658ee89d22d6feb84dce25 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
@@ -1523,7 +1523,7 @@ public abstract class CMSServlet extends HttpServlet {
         CRLExtensions crlentryexts = new CRLExtensions();
 
         try {
-            crlentryexts.set(CRLReasonExtension.NAME, reasonExt);
+            crlentryexts.set(CRLReasonExtension.class.getSimpleName(), reasonExt);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_CRL_REASON", reason.toString(), e.toString()));
